#
# spec file for package python3-biplist
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-biplist
Version:        1.0.1
Release:        1.1
Url:            https://github.com/wooster/biplist
Summary:        A library for reading/writing binary plists
License:        BSD-3-Clause
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/b/biplist/biplist-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python3
BuildRequires:  python3-coverage
BuildRequires:  python3-devel
BuildRequires:  python3-nose
BuildRequires:  python3-setuptools
BuildRequires:  python3-six
BuildArch:      noarch

%description
biplist is a binary plist parser/generator for Python.

Binary Property List (plist) files provide a faster and smaller serialization
format for property lists on OS X. This is a library for generating binary
plists which can be read by OS X, iOS, or other clients.

%prep
%setup -q -n biplist-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
python3 setup.py test

%files
%defattr(-,root,root,-)
%doc AUTHORS LICENSE README.md
%{python3_sitelib}/*

%changelog
* Sun May  8 2016 arun@gmx.de
- specfile:
  * changed to https for source url
  * updated source url to files.pythonhosted.org
* Mon Feb  1 2016 arun@gmx.de
- specfile:
  * update copyright year
  * enabled test for all distros
  * switch to setuptools
- update to version 1.0.1:
  * Adding back in Python 2.6 support. This will be removed again in a
    future version.
- changes from version 1.0.0:
  * This release changes the type of Uid from a subclass of int to a
    subclass of object.
  * This change was made to address GitHub issue #9 Ints are being
    turned into Uids and vice versa when both are present in a plist.
    + This release also bumps the minimum supported Python versions to
    2.7 and 3.4.
- changes from version 0.9.1:
  * Fixes GitHub issue #8 ERROR: testLargeDates
    (test_valid.TestValidPlistFile)
  * Fixes #6 Empty Data object converted as empty string
  * Creates 1-byte strings when possible, per PR #4
* Sat Jan 10 2015 arun@gmx.de
- specfile: update copyright year
- update to version 0.9:
  * Fixes #5 ValueError: timestamp out of range for platform time_t
  * Merged pull request #3 removing the six module while keeping
    Python3 compatibility
- changes from version 0.8:
  * Fixes #3 testFileRead fails using python 3.x along with several
    other Python 3 compatibility issues.
- no changelog available for 0.7, 0.6.
* Mon Jan 14 2013 saschpe@suse.de
- Drop requires on "python(abi)", RPM does that automatically
* Fri Jan 11 2013 p.drouand@gmail.com
- Initial python3 support
